CURRICULUM VITAE – **`Sheshadri`[NAME]** -NL- Bangalore Rangaraju -NL- **`PERSONAL INFORMATION`[PERSONAL_DETAILS_HEADING]** -NL- Date of birth : 24 – April – 1974 -NL- E-mail : **`brsheshadri@gmail.com`[EMAILS_EMAIL]** -NL- Mobile : +91 988 000 6480 -NL- Current Location : Bangalore, India -NL- Marritual status : Married -NL- Availability/ NP -NL- 15 days -NL- **`CAREER OBJECTIVE`[SUMMARY_HEADING]** -NL- Master the technology in embedded software architecture -NL- and development. Envision new product ideas and bring it to life. -NL- HIGHLIGHTS OF EXPERIENCE/ CAREER SYNOPSIS -NL-  A dynamic and results-driven IT professional with 20+ years’ experience in -NL- software engineering. -NL-  5+ years experience in Firmware Architecture, design and Development -NL- on Linux. Specialization in HP Large Format Printer Firmware Architecture. -NL- Design and Architect subcomponents. -NL-  2+ years experience in developing SDK (Software Development Kit) for HP -NL- LFP Printers. Hands on in developing features using C and C++ on Windows -NL- and Linux. -NL-  Thorough understanding of Software and Firmware Interfacing, Hands on -NL- Experience in architecting software involving hetrogenous Operating -NL- Systems (like Windows and Linux) -NL-  Leading and overseeing development teams through the product design, -NL- architecture, planning, development, implementation, product test and -NL- deployment. -NL-  As Focal point for delivery of firmware (Embedded Software) for HP LFP -NL- products, Handle/interact with multi disiplinary teams to collect -NL- requirements, develop software, QA activities, Collect and Analyze test data -NL- from Customer Assurance teams etc. -NL-  Vast Experience and thorough understanding in handling Embedded Systems for Complex -NL- Machines (HP Large Format Inkjet Printers), involving multiple subsystems like -NL- Paper roll handling, Pressurized Ink Delivery through Air Pressure, Print head -NL- assembly (carriage) movements etc. -NL-  Hands on expertise in C++, OOAD (Object Oriented Analysis and -NL- Design), scripting in TCL. -NL-  Experience with Model Driven Engineering, VC++, MFC and MS unit test -NL- framework. -NL-  Hands on in development lifecycle, Agile Scrum and Water fall model - -NL- Requirements, Design, Implementation, Debug & Test and Static Analysis, -NL- SQA testing and delivery to customer -NL-  Hands on with version control tools like ClearCase, GIT, Tortoise -NL- Subversion(SVN) -NL-  Mentor/Coach a team of 5 members on software design, development, -NL- verification of product -NL-  Experience with static analysis tools like Coverity, unit test framework, -NL- Jenkins -NL-  Experience with Pair Programming, and Software Design methodologies -NL- (Design Patterns) -NL-  Practicing Agile Development methodology for past 5 years. Certified -NL- Scrum master. -NL-  Fast learner and ability to work in-teams as well as independently with -NL- minimal supervision -NL-  Excellent problem solving, analytical and interpersonal skills, strong team -NL- player, self-motivated and have the ability to motivate and mentor juniors. -NL-  Excellent ability to ramp-up on modern technologies quickly and easy -NL- adaptability to pristine environment -NL- **`EDUCATION DETAILS`[EDUCATION_HEADING]** -NL- **`Bachelor of Engineering`[EDUCATION_DEGREE]** in Computer Science and Engineering -NL- 1992 - 1997 -NL- From **`Sri Siddhartha Instititue of Technology, Tumkur`[EDUCATION_INSTITUTE]**, Bangalore University -NL- CERTIFICATIONS/PATENTS/RESEARCH PAPER (IEEE)/ TECHNICAL -NL- **`PUBLICATIONS`[OTHERS_HEADING]** -NL-  Developed and productized saving Ink while automatically switching Ink -NL- Cartridges without stopping/pausing printing for one of HP Ink Jet Products -NL- – Patent awarded by US Patent and Trademark Office (8,702,211) -NL-  Developed and productized new idea for performance improvement during -NL- automatically switching Ink cartridges while printing is uninturrupted. – -NL- Defensive Publication by HP -NL-  Developed and productized new idea and got acceptance by HP India -NL- technical conference. Presented in the annual India Wide event in -NL- Bangalore -NL-  Awarded Green belt for 2nd order process improvement in HP -NL- SOFTWARE EXPERTISE/SKILLS & COMPETENCES/ TECHANICAL -NL- **`SKILLS`[SKILLS_HEADING]** -NL- Year Expe Experien Beginn -NL- Name -NL- s rt -NL- ced -NL- er -NL- Programming Skills -NL- C++, VC++ -NL- 10 -NL- X -NL- WPF -NL- X -NL- Scripting Language – Python, TCL -NL- 3 X -NL- Tools & Technologies/Software’s -NL- Design Patterns and Design Principles, -NL- 5 X -NL- Agile Scrum -NL- Software Development Life Cycle, MS -NL- 10 -NL- X -NL- Unit test framework, Jenkins -NL- Operating Systems -NL- Linux -NL- 8 X -NL- Windows,Mac - 3 - X -NL- VxWorks - 2 - X -NL- Red hat - 5 - X -NL- **`PROFESSIONAL EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- Company 1 : -NL- **`HP Inc`[EMPLOYER_COMPANY_NAME]**, Bangalore, India, **`Systems Engineer V (Expert)`[EMPLOYER_ROLE]** Emp ID : -NL- 00652650 -NL- Aug 2002 – Nov 2017 -NL-  Overall, 15+ years experience in Printing Domain at HP. With specialization -NL- in Inkjet Technology and Software Development for expedded Systems -NL- (C, C++, Linux and Windows). -NL-  Architect and develop subcomponents and features for HP Large format -NL- Printers. -NL-  Architect and deliver solutions involving multiple Operating Systems -NL- (Linux and Windows) -NL-  Expertise in design & development of Embedded Software for Hi-Tech -NL- Large Format Printer Firmware. -NL-  Handled multi disciplinary teams to deliver complex solutions. Involved -NL- in interacting with Customer assurance, Marketting R&D, manufacturing -NL- and QA teams for collecting requirements, Design and code review, -NL- completing QA activities. -NL-  Solve complex customer problems on Embedded Software for InkJet -NL- Printers. -NL-  Develope features andfix issues on HP Softwares for Printers (C, C++ and -NL- Linux) -NL-  Implemented Algorithms in C++ on RHEL (Linux) for Paper Roll (Media) -NL- Handling, Roll length tracking, Ink Delivery System for Large Format -NL- Printers. (Air pressure based Ink Delivery). -NL-  Implemented Algorithms for detecting counterfieting of HP Ink cartridges. -NL- (Smartcard based). Algorithms developed using C++ and TCL scripts. -NL-  Drive Delivery road map for the HP Large Format Printersfirmware -NL- releases (current products in the market). Proven track record of Quality -NL- delivery on time every time. -NL-  Experience in C++, MFC, MS unit test framework, Jenkins, Linux based -NL- development on RHEL platform. TCL scripting. -NL-  Worked as a Scrum Master for last 5 years at HP and mentor and lead a -NL- team of 5. Certified scrum master. -NL-  Follow SDLC for Product development. -NL-  At the time of leaving HP, had completed thefirmware release for Mid Life -NL- Kicker (MLK) for D5800 printer. This after working as a Systems -NL- Engineer V (Expert) for the last 5 years @ HP. -NL- Company 2 : -NL- **`Optimators Private Limited`[EMPLOYER_COMPANY_NAME]**, Singapore. (FAE) -NL- Feb -NL- 2002 – Jun 2002 -NL-  **`Field Application Engineer`[EMPLOYER_ROLE]** supporting the Presales team. -NL-  Support presales executive by developing Proof of concept for customers -NL- (Embedded Linux) -NL-  Products supported during this experience was Lineo and VxWorks. -NL-  Intearact with Customers and present Proof of concept. -NL-  Technology experience, VxWorks, Lineo (micro Linux), C, C++ -NL- Company 3 : -NL- **`Semiconductor Technologies and Instruments Pte Ltd`[EMPLOYER_COMPANY_NAME]**, Singapore -NL- Sep 2000 – Oct 2001 -NL-  Learn device driver programming through Hands on experience in Win 98 -NL- and Win 2000. -NL-  Design and Develop Vision Software on Windows platform, for -NL- Semiconductor mark and lead inspection software. -NL-  Develop Windows device driver for Win 2000 for a high resolution Camera. -NL-  Technology experience, Windows Device Drivers, C, C++ -NL- Company 4 : -NL- **`Macmet Interactive Technology Private Limited,`[EMPLOYER_COMPANY_NAME]** Calcutta, India -NL- Feb 2000– Sep 2000 -NL-  Design and Develop Embedded software (VxWorks) for Set Top Box -NL- devices. -NL-  Technology Experience VxWorks, C, C++ -NL- s -NL- Company 5 : -NL- **`India InfoTech Innovations Laboratory`[EMPLOYER_COMPANY_NAME]**, Bangalore, India -NL- Jun 1999 – Jan 2000 -NL-  Develop PoC for training purpose. Conduct Trainings for Corporate -NL- audience on VxWorks. -NL-  Technology Experience VxWorks, C, C++ -NL- Company 6 : -NL- **`Centre for Appropriate Rural Technologies (CART), NIE Mysore `[EMPLOYER_COMPANY_NAME]**-NL- Feb 1998 – May 1999 -NL-  Analyze and Document Computerized process of India Post office and NGO -NL- called MYRADA. -NL-  Documentation of Processess used by different organizations. -NL- PROJECT DETAILS -NL- Company Name #1 : **`HP Inc`[EMPLOYER_COMPANY_NAME]**, Bangalore, India -NL- Aug -NL- 2002 – Nov 2017 -NL- Systems Engineer V -NL- Project #1: Firmware Current Product Focal Point (DesignJet -NL- Family) Nov 2011 – Jan 2017 -NL- Project description: -NL- Project started with Understanding the existing Firmware architecture for -NL- HP Large Format Printers (ATLAS). Further as a Firmware Product focal point for -NL- the HP LFP DesignJet, Current Products. Handle End to End Delivery of Printer -NL- Firmware(embedded software). Develop stratigic plan, Communicate and -NL- executefirmware releases for all DesignJet Product. Since the printers are -NL- already in the market, there would be lot of defects logged against the team. -NL- Work/guide Individual contributors tofind RCA, Triage andfix the defects. As a -NL- focal point, was handling gathering CA and marketing requests for new features, -NL- fixing urgent and importatnt customer defects, Deliver big deals features -NL- requested by HP’s CA department. (multi million dollar deals). Features that -NL- involved architectural changes, review with SMEs, QA Expert and get buy in. -NL- Ensure Adherance to Quality and Delivery Schedule. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- C++, Linux, TCL, Walgrind, HP ALM (defect tracking tool) -NL- Roles & Responsibilities : -NL-  Release management, Stakehold communication, Tactical planning -NL-  Gather every details of the requirements from the marketing and CA -NL- departments for big deals requrests -NL-  Scrum Master, conduct Demo & Retrospect, standup. Ensure motivation -NL- level of team. -NL-  Defect Triage, RCA for every defect. If defect requires core algorithm -NL- changes, Architecture review with Masterlevel architects. -NL-  Fix defects on daily basis. Ensure defectfix rate is higher than Incoming -NL- rate. -NL-  Lead a team of 5 Engineers across Firmware, Front panel and EWS -NL- developers. -NL-  As a SPOC, represent Firmware in the Program Integration meetings and -NL- Ensure Manufacturing acceptance. -NL-  Own End to End Firmware Delivery for HP DesignJet products. -NL- Project #2: Mid Life Kicker (MLK) for HP Designjet D5800 printer -NL- Jan 2017– Nov 2017 -NL- Project description: -NL- This project required an Architecture design, involving multiple -NL- Operating Systems (windows and linux). Ths solution included delivery -NL- of two pieces of software. One was a Windows Desktop Application and the -NL- other was an embedded Systems component on RHEL 4 system. -NL- This Embedded systems part of the project consisted of three main features: -NL- One, Blocking Printing after specified date (lock out date). Date would be set by -NL- HP reseller. -NL-  Necessitated a Windows App to be distributed to HP reseller to set a lock out -NL- date (encrypted) before shipping the printer to end customers. -NL-  Once the date was set and encrypted data downloaded to printerfirmware, -NL- Firmware would decrypt it and ensure printing is blocked beyond the set date. -NL-  Design also provided contingency plan for HP to reset this lock out date in -NL- case of any hack or malfunction. -NL-  Design also provided an easy way to set new lockout dates by the reseller. -NL-  The algorithm also ensured no theft of data is possible between resellers. -NL-  Used OpenSSL and RSA algorithms for encryption and decryption. -NL- Two, As per the CA and Marketing teams request, Provide Front Panel option for -NL- user to control: -NL-  Printer Front Panel to control the printing vacuum. -NL-  Select servicing frequency from Front Pannel -NL-  Disable/Enable Skew Check while loading paper roll. -NL-  Disable/Enable Optical Media Advance Sensor (OMAS) from the Printer Front -NL- Pannel. -NL- Three, Automatic disable of Paper Cutter when metallic paper Edge Holders are -NL- installed on the printer Platten. -NL- The Windows application was solely used by the HP resellers to set a Lockout -NL- date, copy it to a USB and transfer to the printer via the USB port available on the -NL- printer. This application was developed using MFC, OpenSSL and the RSA -NL- Library. A secure workflow was developed using the RSA protocol so that only -NL- the authorized reseller could set or reset a lockout date on the printer. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- C++, MFC, OpenSSL, RSA algorithms, TCL scripting, MS project for project -NL- tracking, MS Visio for developing and presenting algorithms, Linux and RHEL4, -NL- Microsoft Unit Test Framework, MFC -NL- Roles & Responsibilities : -NL-  Gather every details of the requirements from the marketing and CA -NL- departments. -NL-  Develop high level architecture, review with QA experts, Master level -NL- Architects. -NL-  Develop and Present overall plan of execution to -NL- CA/Marketing/Management, get buy in. -NL-  Design algorithms for each sub modules review with Development team, -NL- Experts and QA leads. -NL-  Conduct daily stand up. Hold weekly progress meeting with Stakeholders. -NL-  Conduct RCA for critical defects raised by QA within the specified deadline -NL- (1 week). -NL-  Ensure timely delivery with Quality. Ensure team meets the Quality -NL- standards set by the stakeholders/Management. -NL-  Motivate team to deliver on time with quality. -NL-  At the end of the project conduct retrospect and document and act on -NL- “what could have done well” -NL-  Responsible for the End to End project delivery. -NL- Project #3: New RFID PCB support for HP Designjet T 2300 Dec -NL- 2016 – Jan 2017 -NL- Project description: -NL- Another project was to support a new RFID PCB board for one of HP -NL- Designjet Products. This was neccessitated because the HP Manufacturing -NL- team had ran out of the old RFID board. This involved porting of the board -NL- support software from another HP printer product to the printer (T2300). It was -NL- not done just deliverying thefirware with the support for this new RFID, but also -NL- we got exposure to the Software tools used by the Manufacturing team. We had -NL- to develop or confiure their software to test the new board. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- C++, Linux, Visual Basic, Proprietory HP Tools. -NL- Roles & Responsibilities : -NL-  Responsible for the delivery of this feature for HP DesignJet T2300 printer. -NL-  Manufacturing Integration -NL-  Release management, Stakehold communication, Tactical planning -NL-  Interact with manufacturing team to understand their tools. -NL-  Customize the Manufacturing tools to support new RFID board -NL-  Develop and execute Unit test cases (manual). -NL-  Own End to End Firmware Delivery. -NL- Project #4: Fix Cartridge Reseat problem -NL- Jun 2016 -NL- – Dec 2016 -NL- Project description: -NL- Few big HP customers complained about a rare issue requiring -NL- unneccary manual intervention, when printer Front pannel asks users to -NL- reseat their cartridge. Technically the root cause was identified as a low level -NL- NVM write error which was considered by thefirmware as cartridge absent. The -NL- challenge was to deliver a quick patch to customer, gather usage data, -NL- occurance data, analyze the logs and simulate it in our lab tofix. Took more than -NL- 6 months to identify and solve one issue. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- C++, Linux OS internals, Influencing Customers to involve in trying intermediate -NL- fixes, collect logs. -NL- Roles & Responsibilities : -NL-  Responsible for the delivery of this defectfix for HP DesignJet T2300 -NL- printer. -NL-  Release management, Stakehold communication, Tactical planning -NL-  Interact with customer and influence them to try our experimental -NL- firmware releases. -NL-  Analyze Customer logs andfind the root cause. -NL-  Develop/Fix the issue. -NL-  Develop unit test cases and execute them (Manual) -NL-  Own End to End Firmware Delivery. -NL-  Ensure customer accepts the issue asfixed. Interact with CA department -NL- to get feedback. -NL- Project #5: Hotfix for Printing Performance issue -NL- Feb -NL- 2015 – Apr 2015 -NL- Project description: -NL- Provide hotfix for a printing performance issue while printing color images on -NL- HP Designjet Z6600/Z6800 printer. The issue was occuring while printing huge -NL- plots which consumed lot of ink. Thefirmware was designed in such a way that it -NL- writes (flushes) ink consumption data to NVM on the printer every 0.1 cc of ink -NL- consumed. Thisflush (write) took few seconds to complete, and the printing -NL- would pause whileflush is being done. The customer could visually see the -NL- carriage (print head carriage) pause for while printing huge plots. The Root cause -NL- was identified after a few tests and a new design was implemented. The new -NL- design was to write (flush) to NVM only at the end of the current job (EOJ) instead -NL- of every 0.1cc. This ensured there are no pausing inbetween print. The challenge -NL- was to understand the complete printing cycle offirmware and nail down the -NL- performance issue to the Flush. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- C++, Linux, HP ALM (defect tracking), HP Proprietory tools. -NL- Roles & Responsibilities : -NL-  Responsible for the delivery of this defectfix for HP DesignJet Z6600 and -NL- Z6800 printer. -NL-  Release management, Stakehold communication, Tactical planning -NL-  RCA for the defect. -NL-  Design the defectfix -NL-  Review of the Fix. -NL-  Code changes tofix the defect. -NL-  Develop Unit test cases and execute (manual) -NL-  Own End to End Firmware Delivery. -NL- Project #6: Support for the Energy Star2 -NL- Jun 2013 -NL- – Dec 2013 -NL- Project description: -NL- Support for the Energy Star2 rating for HP Designjet Family. HP LFP printer -NL- firmware is a very complex embedded software. Mainly written in Linux -NL- (development environment is RHEL4). Part of the project was to understand the -NL- complete printer Firmware and redesigning the core algorithms. At the core of -NL- the printerfirmware was a master state machine which controlled aspect of -NL- printer. This state machine reacted to a bunch of soft as well as hardware event. -NL- This would impact the printer behaviour, Especially the events that triggered -NL- printer to sleep and to wakeup. Part of the project was to indentify and -NL- redesigning the core algorithms of HPfirmware to ensure: -NL- One, Product Sleeps automatically as per the requirement. Redesigned -NL- Statemachine and developed new algorithms to ensure adherance to new -NL- Engergy Star2 specifications. -NL- Two, Product does not wakeup for some routine activity like pull out of cartridges -NL- – Redesigned Statemachine and developed new algorithms to ensure adherance -NL- to new Engergy Star2 specifications. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- C++, Linux, TCL, Walgrind, HP ALM (defect tracking tool) -NL- Roles & Responsibilities : -NL-  Responsible for the delivery of this feature in HP DesignJet T7100 printer. -NL-  Release management, Stakehold communication, Tactical planning -NL-  Gather every details of the requirements from the marketing and CA -NL- departments for this big deal. -NL-  Analyze the existing Algorithms for the printer sleep and Wakeup. -NL-  Analyze the triggers for the printer wake up and document it. Devise new -NL- techniques to avoid printer wake up for unnecessary triggers (as per the -NL- new Energy Star2 requirement). -NL-  Develop new algorithm for printer Sleep and wakeup. -NL-  Develop unit test cases for the Features affecting Printer Sleep and -NL- Wakeup. -NL-  Execute unit tests and ensure it covers all parts of the code (manual) -NL-  Defect Triage, RCA for every defect. If defect requires core algorithm -NL- changes, Architecture review with Masterlevel architects. -NL-  Own End to End Firmware Delivery for HP DesignJet products. -NL- Project #7: Hotfix for Printing Performance issue -NL- May -NL- 2011 – Jul 2011 -NL- Project description: -NL- Fix and Develop new algorithm for Media Roll Length tracking for HP Designjet -NL- printers. The issue was reported by few customers where the consumed for a -NL- paricular paper roll was wrongly reported by the printer Front Panel. The paper -NL- roll would run out of paper earlier than what the Front Panel would suggest. The -NL- issue was investigated and root cause identified as a Software issue. New -NL- algorithm was developed accurately measure media advances and calculate -NL- Media consumed accurately based on each advance. Basic tools used are. (2011) -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- C++, Linux -NL- Roles & Responsibilities : -NL-  Release management, Stakehold communication, Tactical planning -NL-  RCA for the defect -NL-  Consult with experts on the RCA and defectfix. -NL-  Own End to End Firmware Delivery for HP DesignJet products. -NL- Project #8 : Lead developer for Specialty printing (SPS) division -NL- Dec 2009 - May 2011 -NL- Project description: -NL- Drive and own End to End delivery of SDK (windows) for HP OEM partners. Include -NL- Partner management (Wipro) for the delivery of windows printer driver. The non -NL- printer driver software (mainly the HP Toolbox) for the OEMs was managed by HP -NL- (me). -NL- Improved Customer adaptation of SDK by many folder by developing rapid -NL- prototypes and sharing best practices with Partners -NL- Hands on with Firmware development of Ink Delivery System for SPS -NL- division. Developed two ideas. One of them was awarded a patent, for -NL- Saving Ink while switching Ink Supply on thefly while uninterrupted -NL- printing. -NL- Published and presented technical papers in HP India Wide Technical forum -NL- Owned development and delivery of SDK and Tools for HP OEM partners -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- C, C++, MFC, VC++, Linux -NL- Roles & Responsibilities : -NL-  Responsible End to end Delivery of SDK for HP OEM Partners -NL-  Review SDK documentation review and improvemetn. Suggest step by -NL- step guide -NL-  Own development of HP tool box (windows printer driver component) -NL-  OEM Partner interaction and release management -NL-  Documentation and setup a step by step guide for the customers to utilize -NL- the SDK. -NL-  As a developer delivery Firmware for HP Speciality Printing devision. -NL- Project #9 : Software development for HP consumer printers Aug -NL- 2002 - Nov 2009 -NL- Project description: -NL- Lead sub project teams of 3-5 engineers on SW development for HP consumer -NL- products. Ensure adherance to HP Software development processes. Investigate, -NL- suggest and improve 1st and 2nd order processes. Developed product component -NL- for HP Director, Installer for Windows (VC++, MFC, MSI). -NL- Innovate new techniques to separate components owned by our team into an -NL- independent installable component. Ensure the components could be built, -NL- installed and tested independently. Ensure unit tests are completed before -NL- delivery. -NL- Automated process to ensure nightly builds, Daily testing and reporting (Quality -NL- Centre). Also liase with the product team to ensure our components have been -NL- integrated successfully on each nightly build. Awarded Greenbelt for the process -NL- improvement. Fishbone analysis of every project after delivery. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- C++, MFC, VC++, Microsoft Installer (MSI), Rational Clear Case, HP Quality -NL- Center -NL- Roles & Responsibilities : -NL-  Responsible Software Development on Windows Platform. -NL-  Develop automated scripts for nightly builds and daily test reports. -NL-  Code development, Unit testing report on daily basis -NL-  Own development of HP tool box (windows printer driver component) -NL-  Partner interaction and release management. -NL-  Ensure components owned by our team integrates with the overall HP -NL- release on daily basis. -NL-  Fix daily build issues -NL-  Fish bone analysis -NL- Company #2: -NL- **`Optimators Private Limited`[EMPLOYER_COMPANY_NAME]**, Singapore. -NL- Feb 2002 – Jun -NL- 2002 -NL- Project Name: Presales Support POC -NL- Feb -NL- 2002 – Jun 2002 -NL- Project description: -NL- Port uCLinux BSP for EB-40-LS board with AT91R40807 processor on board to a -NL- custom board with AT91M40800 processor. -NL- Supporting a team of application developers on VxWoks to partition the -NL- application to work on multiprocessor architecture. This involves learning and -NL- acquiring knowledge of VxWorks and intertask communication mechanism, -NL- shared memory objects in VxMP, and Distributed processing in VxFusion. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- VxWorks, ucLinux (Lenio), C, C++ -NL- Roles & Responsibilities : -NL-  Develop POC to support Sales team -NL-  Present technical details to customers when warrented. -NL-  Documentation to assist step by step procedure to kick start projects on -NL- Lineo and VxWorks. -NL- Company #3: -NL- Sept 2000 – Oct -NL- 2001 -NL- **`Semiconductor Technologies and Instruments Pte Ltd`[EMPLOYER_COMPANY_NAME]**, Singapore. -NL- Project Name: Port Camera Driver from Win 98 to Win 2000 -NL- Sept 2000 – Oct 2001 -NL- Project description: -NL- Learn and Develop windows Kernel Mode Device Driver for ‘PCI-7300a – Rev B’ I/ -NL- O card. -NL- Code optimization and reduction in exe foot print for using ‘PCI-7300a-RevB’ -NL- Device Driver. -NL- Porting of Win 98 driver for 1394 interface to Win 2000. The driver was for Basler -NL- 302Fs camera. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- Windows OS concepts, Win 98 and Win2000 C, C++ -NL- Roles & Responsibilities : -NL-  Understand the existing Driver code for Win 98. -NL-  Port and unit test the driver from Win 98 to Win 2000 -NL-  Document the changes and unit tests. -NL- Company #4: -NL- Feb 2000 – Sept -NL- 2000 -NL- Macmet Interactive Technology Private Limited. -NL- Project Name: Modem API on VxWorks -NL- Feb 2000 -NL- – Sept 2000 -NL- Project description: -NL- Learnt and Implemented low level Modem API (similar to TAPI) in VxWorks. The -NL- Application was written for a Set-Top-Box project. -NL- Learnt and Implemented an Enhanced Network Driver (END) for Cable Modem -NL- (RealTek 8029AS). Part of the project was to modify the EISA Ne2000 driver -NL- source code to PCI card. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- VxWorks, C, C++, OS concepts -NL- Roles & Responsibilities : -NL-  Understand Telephone API and document the requirements for the project. -NL-  Implement features and APIs for Modem on the line of TAPI -NL-  Learn and Develop VxWorks Device Drivers -NL- Company #5: -NL- Jun 1999 – Jan 2000 -NL- Macmet Interactive Technology Private Limited. -NL- Project Name: Learning development on VxWorks. -NL- Jun 1999 -NL- – Jan 2000 -NL- Project description: -NL- Learnt and completed implementation of a web based mail server. Learnt basics -NL- of VxWorks by hands on exercises. -NL- **`Tools and Technology/Skills Used`[SKILLS_HEADING]** -NL- VxWorks, C, C++, OS concepts -NL- Roles & Responsibilities : -NL-  Individual contributor -NL-  Develop code -NL-  Learn VxWorks and OS concepts. -NL-  Present Device driver concept to Corporate Audience like Wipro. -NL- Company #6: -NL- Feb 1998 – May -NL- 1999 -NL- Center for Appropriate Rural Technologies (CART), NIE, Mysore. -NL- Project Name: Study of Postal System processes of India Post. -NL- Feb 1998 – May 1999 -NL- Project description: -NL- The project was to study and document the computerized processes adapted by -NL- the NGO and the India post department. It was a very trivial atempt to -NL- computerize the “over the counter transactions through manual entry of data -NL- into a centralized database system”. The goal was to document the existing -NL- processes, brainstorm with professors on how to improve and suggest -NL- improvements in the document. This was a government sponsered project. -NL- Two different systems were monitored (observed by sitting next to the -NL- employees). One of the system was the India post and the other was an NGO -NL- named MYRADA (Mysore). -NL- Tools and Technology/Skills Used -NL- Requirements gathering by sitting with post office officials and observing their -NL- processes. -NL- Roles & Responsibilities : -NL-  Requirements gathering, Brainstorming new process improvements -NL-  Document the requirements and suggestions to improve computerization -NL-  Present allfindings to Fellow asigned by the Government. -NL- **`ACHIEVEMENTS/ TECHANICAL PUBLICATIONS/AWARDS & HONOURS`[OTHERS_HEADING]** -NL-  Developed and productized saving Ink while automatically switching Ink -NL- Cartridges without stopping/pausing printing for one of HP Ink Jet Products -NL- – Patent awarded by US Patent and Trademark Office (8,702,211) -NL-  Developed and productized new idea for performance improvement during -NL- automatically switching Ink cartridges while printing is uninturrupted. – -NL- Defensive Publication by HP -NL-  Developed and productized new idea and got acceptance by HP India -NL- technical conference. Presented in the annual India Wide event in -NL- Bangalore -NL-  Awarded Green belt for 2nd order process improvement in HP -NL- LANGUAGES -NL- Language -NL- Speaking -NL- Writing -NL- Reading -NL- English -NL- Professional -NL- Kannada -NL- Native -NL- Hindi -NL- Intermediate -NL- German/French/Ducth -NL- No -NL- **`HOBBIES AND INTERESTS`[OTHERS_HEADING]** -NL- Badminton, Cricket, Photography and Cooking. -NL- Motivation Letter -NL- As part of my Professional carreer, I have enjoyed developing software, that has -NL- solved many difficult problems for the end users. Specifically the association with -NL- HP where I have learnt Software is just not programs and coding, it is how you -NL- make customers (users) experience simple and better. What every I develop has -NL- a specific use case and a user waiting to make his life little easier. -NL- As I grew my Career, I learn that I have just touched just the tip of iceberg, there -NL- is an ocean to be explored. There are so many aspects of engineering that I can -NL- touch through my experiecne in software. For example, from the phase of -NL- requirements gathering to thefinal acceptance testing, there are so many -NL- software tools that can be used to make the end user experience better. -NL- Also amazed that how two persons approach a design/problem in Software totally -NL- differently, and it requires an open mind to listen to everybody and adapt the -NL- best approach. So it is imparitive that I should have an open mind and listen to all -NL- voices. -NL- Also my experience in this industry suggests, everyone to be customer focused -NL- and have a very good understanding of what the customer wants. Manytimes -NL- what is on paper as requirements does not completely portray customer -NL- expectations. It is always required for the developer/team to put themselves in -NL- customer’s shoes and visualize how the customer would use what you are -NL- developing. Also what is good today may be not valid tomorrow and it is required -NL- to keep getting feedback and enhancing your understanding and delivering -NL- upgrades to stay ahead of the race. -NL- All in all, I am very exited to be part of this industry where one can deliver -NL- amazing things. -NL- Sincerely, -NL- **`Sheshadri`[NAME]**. -NL- 